<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="marker_js.aspx.cs" Inherits="MYAPP.google.marker_js" %>
<asp:XmlDataSource ID="xds" runat="server"  XPath="/Tour/Scene/sceneitem[@GoogleMapTF='True']" EnableCaching="False" EnableViewState="False"></asp:XmlDataSource>
GMarkersScene.splice(0,GMarkersScene.length);
<asp:Repeater ID="rp_list" runat="server" DataSourceID="xds">
  <ItemTemplate>
  var marker_s<%#XPath("@tourid")%>_<%#XPath("@sceneid")%>;
    marker_s<%#XPath("@tourid")%>_<%#XPath("@sceneid")%>=new google.maps.Marker(new google.maps.LatLng(<%#XPath("@lat")%>,<%#XPath("@lng")%>), {icon:getIcon('icon_type/dot.png',9,9,4,4),title:'<%#XPath("@title")%>'});
    GMarkersScene.push(marker_s<%#XPath("@tourid")%>_<%#XPath("@sceneid")%>); 
  </ItemTemplate>
</asp:Repeater>
setupSceneMarkers(); 